<?php
class FRMOferta extends AppFormulario {
	
	protected $_url_traseditar = '/wproveedor/pedirofertaok';
	
	public function init() {
		parent::init();
		$oferta = $this->getObjeto();
		if ($oferta instanceof PresupuestoProveedor) {
		}
		$this->setAction('/wproveedor/pediroferta/np/'.$oferta->getPresupuesto());
		
		
		$cmp_pvp = new EFDecimal('pvp');
		$cmp_pvp->setDecimales(2);
		$cmp_pvp->setLabel('PVP sin IVA para el cliente');
		$cmp_pvp->setAttrib('onChange', 'javascript:calcular();');
		$cmp_pvp->setRequired(true);
		$this->addElement($cmp_pvp);
		
		$cmp_descuento = new EFDecimal('descuento');
		$cmp_descuento->setDecimales(2);
		$cmp_descuento->setLabel('Nuestro descuento en % sobre el PVP');
		$cmp_descuento->setAttrib('onChange', 'javascript:calcular();');
		$cmp_descuento->setRequired(true);
		$this->addElement($cmp_descuento);
		
		$cmp_coste = new EFDecimal('coste');
		$cmp_coste->setLabel('Precio final que pagaremos a vuestra empresa');
		$cmp_coste->setAttrib('readonly', true);
		$this->addElement($cmp_coste);
		
		$cmp_comentarios = new EFTextArea('comentarios');
		$cmp_comentarios->setLabel('Comentarios');
		$cmp_comentarios->setAttrib('rows', 5);
		$this->addElement($cmp_comentarios);
		
		$cmp_proveedor = new EFHidden('proveedor');
		$this->addElement($cmp_proveedor);
		
		$btGuardar = new EFSubmit('guardar');
		$btGuardar->setValue('Guardar');
		$this->addElement($btGuardar);
		
		// Visual
		$this->addElementoVista($cmp_pvp);
		$this->addElementoVista($cmp_descuento);
		$this->addElementoVista($cmp_coste);
		$this->addElementoVista($cmp_comentarios);
		$this->addElementoVista($btGuardar);
		
	}
	
	public function __construct(PresupuestoProveedor $objeto, $options = null){
		$this->setObjeto($objeto);
		$this->_url_traseditar = '/wproveedor/pedirofertaok/np/'.$objeto->getPresupuesto();
		parent::__construct($options);

	
	}
	
	
	
}